Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.runtime
Interface WebAppComponentRuntimeMBean

public interface WebAppComponentRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

Describes a servlet component (servlet context).

Method Summary
`void` | `deleteInvalidSessions()` Deletes the invalid sessions.
`java.lang.String` | `getComponentName()` Return the component's name.
`java.lang.String` | `getContextRoot()` Returns the context root (context path) for the webapp
`java.lang.String` | `getName()` Return the name of the mbean
`int` | `getOpenSessionsCurrentCount()` Returns the current total number of open sessions in this component.
`int` | `getOpenSessionsHighCount()` Returns the high water mark of the total number of open sessions in this server.
`ServletRuntimeMBean[]` | `getServlets()` Return an array of ServletRuntimeMBeans associated with this component
`ServletSessionRuntimeMBean` | `getServletSession(java.lang.String sessionID)` Returns ServletSessionRuntimeMBean by its session ID
`ServletSessionRuntimeMBean[]` | `getServletSessions()` Return an array of ServletSessionRuntimeMBeans associated with this component.
`int` | `getSessionsOpenedTotalCount()`
`java.lang.String` | `getSourceInfo()` Return an informative string about the component's source.
`java.lang.String` | `getStatus()` Return the component's status.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getName

    public java.lang.String getName()

  Return the name of the mbean

### getComponentName

    public java.lang.String getComponentName()

  Return the component's name.

### getContextRoot

    public java.lang.String getContextRoot()

  Returns the context root (context path) for the webapp

### getStatus

    public java.lang.String getStatus()

  Return the component's status.

### getSourceInfo

    public java.lang.String getSourceInfo()

  Return an informative string about the component's source.

### getServlets

    public ServletRuntimeMBean[] getServlets()

  Return an array of ServletRuntimeMBeans associated with this component

### getOpenSessionsCurrentCount

    public int getOpenSessionsCurrentCount()

  Returns the current total number of open sessions in this component.

### getOpenSessionsHighCount

    public int getOpenSessionsHighCount()

  Returns the high water mark of the total number of open sessions in this server. The count starts at zero each time the server is activated. Note that this is an optimization method for a highly useful statistic that could be implemented less efficiently using change notification.

### getSessionsOpenedTotalCount

    public int getSessionsOpenedTotalCount()

### getServletSessions

    public ServletSessionRuntimeMBean[] getServletSessions()

  Return an array of ServletSessionRuntimeMBeans associated with this component. This operation should only be done by explicit poll request (no real-time monitoring).

### getServletSession

    public ServletSessionRuntimeMBean getServletSession(java.lang.String sessionID)

  Returns ServletSessionRuntimeMBean by its session ID

### deleteInvalidSessions

    public void deleteInvalidSessions()

  Deletes the invalid sessions.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference